/**
 * @author      ETSI / STF455 / Yann Garcia
 * @version     $URL: svn+ssh://vcs.etsi.org/TTCN3/TOOL/ITS_TestPlatform/branches/STF462/javasrc/codec/org/etsi/ttcn/codec/its/uppertester/Plugin.java $
 *              $Id: Plugin.java 647 2013-10-17 08:55:08Z garciay $
 */
package org.etsi.ttcn.codec.its.configtester;

import org.etsi.ttcn.codec.CodecFactory;
import org.etsi.ttcn.tci.TciTypeClass;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.RECORD, "ConfigTester", "", CfRecord.class);
        cf.setCodec(TciTypeClass.UNION, "ConfigTester", "", CfUnion.class);
        cf.setCodec(TciTypeClass.BOOLEAN, "ConfigTester", "", CfBoolean.class);
    }
}