/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL: svn+ssh://vcs.etsi.org/TTCN3/TOOL/ITS_TestPlatform/branches/STF462/javasrc/codec/org/etsi/ttcn/codec/its/geonetworking/Plugin.java $
 *              $Id: Plugin.java 657 2013-10-24 08:03:16Z berge $
 */
package org.etsi.ttcn.codec.its.iicp;

import org.etsi.ttcn.codec.CodecFactory;
import org.etsi.ttcn.tci.TciTypeClass;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();

        cf.setCodec(TciTypeClass.RECORD, "LibIts_Interface", "IicpReq", IicpRecord.class); // TODO Check to remove it
        cf.setCodec(TciTypeClass.RECORD, "LibIts_Interface", "IicpInd", IicpInd.class);
        cf.setCodec(TciTypeClass.UNION, "LibIts_Interface", "IicpMsg", IicpMsg.class);
    }
}