/**
 * @author      ETSI / STF462 / Alexandre Berge
 * @version     $URL: https://forge.etsi.org/svn/ITS/branches/STF462/javasrc/codec/org/etsi/ttcn/codec/its/btp/Plugin.java $
 *              $Id: Plugin.java 1143 2013-08-12 13:48:10Z berge $
 */
package org.etsi.ttcn.codec.its.btp;

import org.etsi.ttcn.tci.TciTypeClass;
import org.etsi.ttcn.codec.CodecFactory;

public class Plugin {

    public static void init() {

        CodecFactory cf = CodecFactory.getInstance();
        cf.setCodec(TciTypeClass.UNION, "LibItsBtp", "BtpHeader", BtpHeader.class);
        cf.setCodec(TciTypeClass.RECORD, "LibItsBtp", "BtpPayload", Payload.class);
    }
}